### Method

# Camel NetworkService ref_connectable

since: 3.8

#### Declaration [src]

    GSocketConnectable*
    camel_network_service_ref_connectable (
      CamelNetworkService* service
    )

#### Description [src]

Returns the socket endpoint for the network service to which `service` is a client.

The returned `GSocketConnectable` is referenced for thread-safety and must be unreferenced with `g_object_unref()` when finished with it.

Available since: 3.8

#### Return value

Type: `GSocketConnectable`

A `GSocketConnectable`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.